.\"	$NetBSD: acc.4,v 1.10 2001/08/18 12:05:25 wiz Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)acc.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt ACC 4 vax
.Os
.Sh NAME
.Nm acc
.Nd
.Tn ACC LH/DH IMP
network interface
.Sh SYNOPSIS
.Cd pseudo-device imp "acc0 at uba0 csr 167600 vector accrint accxint"
.Sh DESCRIPTION
NOTE:
At the moment
.Nx
does not support
.Tn IMP ,
so this manual page is not relevant.
.Pp
The
.Nm acc
device provides a Local Host/Distant Host
interface to an
.Tn IMP .
It is normally used when participating
in the
.Tn DARPA
Internet.  The controller itself is not accessible
to users, but instead provides the hardware support to the
.Tn IMP
interface described in
.Xr imp 4 .
The configuration entry for the
.Xr imp 4
must also include the
.Em pseudo-device
as shown above.
.Sh DIAGNOSTICS
.Bl -diag
.It acc%d: not alive.
The initialization routine was entered even though the device
did not autoconfigure.  This indicates a system problem.
.Pp
.It acc%d: can't initialize.
Insufficient UNIBUS resources existed to initialize the device.
This is likely to occur when the device is run on a buffered
data path on an 11/750 and other network interfaces are also
configured to use buffered data paths, or when it is configured
to use buffered data paths on an 11/730 (which has none).
.Pp
.It acc%d: imp doesn't respond, icsr=%b.
The driver attempted to initialize the device, but the
.Tn IMP
failed to respond after 500 tries.  Check the cabling.
.Pp
.It acc%d: stray xmit interrupt, csr=%b.
An interrupt occurred when no output had previously been started.
.Pp
.It acc%d: output error, ocsr=%b, icsr=%b.
The device indicated a problem sending data on output.
.Pp
.It acc%d: input error, csr=%b.
The device indicated a problem receiving data on input.
.Pp
.It acc%d: bad length=%d.
An input operation resulted in a data transfer of less than
0 or more than 1008 bytes of
data into memory (according to the word count register).
This should never happen as the maximum size of a
.Pf host- Tn IMP
message is 1008 bytes.
.El
.Sh SEE ALSO
.Xr netintro 4
.Sh HISTORY
The
.Nm
interface appeared in
.Bx 4.2 .
